
/* version 7 */

/* body background-color: rgb(236, 248, 248); */

/* 1 reset */

*{
  margin: 0%;
  padding: 0%;
  box-sizing: border-box;
}

/* - 2 -  ETIQUETAS ESTRUCTURA HTML GENERAL  */

body{
  width: auto;
  height: auto;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  display: block;
  background-color: rgb(236, 248, 248);
  /* border: 5px solid orange; */
}

header{
  width: auto;
  height: auto;
}

section{
  width: auto;
  height: auto;
}

footer{
  width: auto;
  height: auto;
}

/* flecha regreso inicio pagina */

.flecha{
  bottom: 5%;
  right: 2px;
  position: fixed;
  background-color: rgba(195, 212, 41, 0.774);
  /* border: 2px solid blue; */
  z-index: 99;
}

#infoEmpresa,
#direccionEmpresa{
  padding-top: 20px;
  position: relative;
  z-index: 80;
}

/* -----------------------     efecto DIAPOSITIVA de fotos */

.contenedor-diapositivaShow{
  width: 80%;
  height: auto;
  position: relative;  
  top: 120px;
  margin-bottom: 40px;
  margin-left: auto;
  margin-right: auto;
  z-index: 10;
  /* border: 2px solid red; */
}

.diapositivas{
  display: none;
}

img{
  vertical-align: middle;
}

/* Caja CONTENEDOR de todos ICONOS SERVICIOS */

.cajaInteriorImg{
  width: auto;
  height: auto;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 10px;
  text-align: center;
  padding: 20px 0px 20px 0px;
  column-count: 2;
  column-span: all;
  align-items: center;
  /* border: 5px solid red; */
}

/* caja individual de contiene cada icono y descripcion texto */

.cajaIcono{
  width: 160px;
  height: 130px;
  color: white;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  padding-left: 20px;
  margin-bottom: 5px;
  /* border: 2px solid blue; */
}

/* caja del icono */
.icono{
  background-color: yellow;
  margin-top: 10px;
  border: 2px solid  red;
  border-radius: 15%;
}

/* caja informacion descripcion de la empresa */

.cajaInfoEmpresa{
  width: auto;
  height: auto;
}

/* caja AUTOR */
.cajaDesign{
  color: blue;
  position: relative;
  float: right;
}

/* clases generales */

.centrar{
  font-family: 'Times New Roman', Times, serif;
  text-align: center;
  font-style: italic;
  font-size: 2rem;
  /* margin: 10px; */
}

.justificado{
  font-family: 'Times New Roman', Times, serif;
  text-align: justify;
  font-style: italic;
  font-size: 1.4rem;
  margin: 10px;
}

/*Cookie Consent Begin*/

#cookieConsent {
  background-color: rgba(20, 20, 20, 0.938);
  min-height: 26px;
  font-size: 20px;
  color: #ccc;
  line-height: 26px;
  padding: 8px 0 8px 30px;
  font-family: "Trebuchet MS",Helvetica,sans-serif;
  position: fixed;
  top: 120px;
  left: 0;
  right: 0;
  display: none;
  z-index: 9999;
}
#cookieConsent a {
  color: #4B8EE7;
  text-decoration: none;
}
#closeCookieConsent {
  display: flex;
  float: right;
  cursor: pointer;
  height: 20px;
  width: 20px;
  margin: -15px 0 0 0;
  font-weight: bold;
}

#closeCookieConsent:hover {
  color: #FFF;
}

#cookieConsent a.cookieConsentOK {
  background-color: #F1D600;
  color: #000;
  display: flex;
  border-radius: 5px;
  padding: 0 20px;
  cursor: pointer;
  float: right;
  margin: 0 60px 0 10px;
}
#cookieConsent a.cookieConsentOK:hover {
  background-color: #E0C91F;
}

/*Cookie Consent End*/

/* ------------------  Inicio CSS personalizado para cada tipo de pantalla */

/* ------- 1 -------------------------------------------------   Version TELEFONO  ----------------*/

@media screen  and (max-width: 600px){

/* propiedades de la caja que tiene iconos y texto del nombre de la empresa en el HEADER */
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}

.barraSuperiorEnlaces{
  width: 100%;
  height: auto;
  background-color: black;
  position: fixed;
  z-index: 90;
}

.cajaEnlaces{
  width: auto;
  height: auto;
  display: flex;
  float: right;
  color: white;
  margin-right: 10px;
  margin-top: 2px;
  margin-bottom: 2PX;
  padding: 6px;
  font-size: 1.1rem;
  text-decoration-line: none;
  /* border: 2px solid blue; */
}

.cajaEnlaces:hover{
  cursor: pointer;
  color: blue;
  background-color: white;
}

.cabecera{
  width: 100%;
  height: auto;
  top: 40px;
  /* margin-bottom: 120px; */
  display: flex;
  position: fixed;
  background-color: rgb(245, 237, 237);
  z-index: 90;
  border-bottom: 5px solid black;
  border-right: 5px solid black;
  /* border: 2px solid blue; */
 } 

/* color zona icono enlace -a- barra superior del header */

.topnav{
  width: 90px;
  height: auto; 
  background-color: black;
  padding: 10px;
  overflow: hidden;
}

/* caja texto del header -topnav- */

.textoCabecera{ 
  width: 100%;
  height: auto;
  text-align: center;
  margin-top: 20px;
  font-size: 2rem;
  font-style: italic;
  color: blue
  /* border: 5px solid red; */
}

/* MENU superior desplegable -sidenav-*/

.sidenav{
  height: auto; /* 0 altura - modifica valor con JavaScript */
  width: 100%; /* ancho inicial del menu */
  display: flex;
  position: fixed;
  z-index: 80; /* Stay on top */
  top: 100px; /* espacio superior entre menu y margen superior */
  left: 0px; /* espacio lateral derecha barra menu y margen derecho */
  background-color:rgb(174, 245, 245); /* color de fondo del menu desplegado */
  overflow-x: hidden; /* Disable horizontal scroll */
  transition: 0.5s;/* second transition effect despliegue menu sidenav */
  padding-top: 60px; /* Place content px from the top */
  display: none;
}


.cajaFlechaUp{
  width: 100%;
  height: auto;
  padding-bottom: 10px;
  /* border: 5px solid red; */
}

.iconoFlechaUp{
  width: auto;
  height: auto;
  position: relative;
  left: 40%;
  background-color:white;
  border-radius: 25%;
  border: 5px solid red;
}

/* propiedades de los enlaces 'a' interiores del menu desplegable lateral derecho*/

.enlace{
  padding: 8px 8px 8px 20px;
  text-decoration: none;
  font-size: 2rem;
  color: white;
  background-color: black;
  position: relative;
  display: block;
  transition: 0.5s;
  margin-top: 10px;
  margin-bottom: 10px;
  border-bottom: 10px solid rgb(219, 219, 201);
  border-right: 10px solid rgb(219, 219, 201);
  /* border: 5px solid red; */
}

/* efecto  HOVER de los enlaces 'a' del menu interior lateral derecho */

.enlace:hover{
  color: black;
  background-color: white;
  border-bottom: 5px solid gray;
  border-right: 5px solid gray;
}

/* control desborde del contenido lateral  */
body {
  overflow-x: auto;
}

/* propiedades de la etiqueta <a> de los botones del menu */

/* a{
  display: block;
  color: #fff;
  text-align: center;
  margin: 10px 10px;
  text-decoration: none;
  background: #444;
  border: 5px solid white;
} */

/* seccion del fondo con foto fija para la caja principal */

.fondo{
  width: auto;
  height: auto;
  margin-left: auto;
  margin-right: auto;
  background-image: url(imagenes/road-640px.jpg);
  background-repeat: no-repeat;
  background-position: center;
  /* border: 5px solid blue; */
}

/* .closebtn a{
  background-color: red;
} */

/* seccion iconos servicios */

.tituloServicios{
  width: 100%;
  text-align: center;
  font-size: 1.2rem;
  color: blue;
  margin: 120px 0px 100px 0px;
  /* background-color: rgba(159, 243, 243, 0.918); */
  /* border: 2px solid red; */
}

/* pie de la pagina */

.cajaPie{
  width: auto;
  height: 100px;
  font-size: 1rem;
  display: flex;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  bottom: 1px; 
}

.botonPie{
  background: none;
  color: white;
  font-size: 1rem;
  background-color: wheat;
  border: 2px solid white
}

/* -------------- keyframes INICIO Animacion diapositva fotos ------------ */

.disolver{
  animation-name: disolver;
  animation-duration: 3.5s;
}

@keyframes disolver{
  from{
    /* opacity: 0.1; */
    transform: scale(0);
    /* transform: translateY(-100px); */
}

to{
  transform: scale(1);
    /* opacity: 1;     */
 }
}

 @keyframes disolver1{
  from{
    opacity: 0.1;
    transform: translateX(-100px);
}

to{
    opacity: 1;    
 }

}
/* FINAL Animancion Diapositiva  -------------------------- */

/* Circulos inferiores de la diapositiva  ------------------*/

.circulo{
  height: 15px;
  width: 15px;
  margin: 10px 10px;
  background-color: #BBB;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

/* color circulo activo */
.activo{
  background-color: blue;
}

/* FIN ---- Circulos inferiores  -------------------------------------*/


/* Class del panel acordeon Oculto (hidden) por defecto */

.panel_On{
  display: block;
  background-color:  rgb(236, 248, 248);
  display: none;
  overflow: hidden;
  color: blue;
  text-align: center;
  font-size: 1.5rem;
  transition: max-height 0.5s ease-out;
  border-bottom: 5px solid white;
  /* border-bottom-right-radius: 10%; */
}

/* caja informacion descripcion empresa */

.cajaInfoEmpresa{
  width: auto;
  height: auto;
  margin-left: auto;
  margin-right: auto;
  margin: 20px;
  font-size: 1.2rem;
  border-top: 2px solid blue;
  border-bottom: 2px solid blue;
  /* border: 5px solid red; */
}

.cajaDireccionEmpresa{
  width: auto;
  height: auto;
  margin-left: auto;
  margin-right: auto;
  margin: 20px;
  font-size: 1.5rem;
  border-bottom: 2px solid blue;
  /* border: 5px solid red; */
}

.cajaMapa{
  width: auto;
  height: auto;
  margin-left: auto;
  margin-right: auto;
  margin: 20px;
  padding: 10px;
  border-bottom: 2px solid blue;
  /* border: 5px solid red; */
}

.mapa{
  width: 100%;
  margin-left: auto;
  margin-right: auto;
 
  /* border: 5px solid red; */
}


.cajaPie{
  align-items: center;
}

}

/* -- 2  -----------------------------------------   Version ORDENADOR  ----------------*/

.menu{
  overflow: hidden;
  background-color: #333;
}

.menu a{
  float:left;
  font-size: 1.1rem;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

.desplegable{
  float: left;
  overflow: hidden;
}

.desplegable .desplegable-boton{
  font-size: 1.1rem;
  border: none;
  outline: none;
  color: white;
  padding: 14px 16px;
  margin: 0;
  background-color: #333;
}

.menu a:hover,
.desplegable:hover .desplegable-boton{
  background-color: red;
}

.desplegable-contenido{
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 180px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 10;
}

.desplegable-contenido a{
  float:none;
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.desplegable-contenido a:hover{
  background-color: #ddd;
}

.desplegable:hover .desplegable-contenido{
  display: block;
}


}



